diff --git a/src/main/java/net/minecraft/core/net/packet/Packet.java b/src/main/java/net/minecraft/core/net/packet/Packet.java
index 3a82f0dba..bca82d732 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet.java
+++ b/src/main/java/net/minecraft/core/net/packet/Packet.java
@@ -3,7 +3,7 @@ package net.minecraft.core.net.packet;
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.Global;
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
@@ -23,64 +23,58 @@ import java.util.Set;
 public abstract class Packet
 {
     private static final List<Integer> INTERESTING_PACKETS = Arrays.asList(50, 51, 52);
+    private static final Map<Integer, Class<? extends Packet>> packetIdToClassMap = new HashMap<>();
+    private static final Map<Class<? extends Packet>, Integer> packetClassToIdMap = new HashMap<>();
+    private static final Set<Integer> clientBoundPacketIds = new HashSet<>();
+    private static final Set<Integer> serverBoundPacketIds = new HashSet<>();
+    public final long creationTimeMillis = System.currentTimeMillis();
+    public boolean isChunkDataPacket;
 
     public Packet()
     {
         isChunkDataPacket = false;
     }
 
-    public static void addIdClassMapping(int id, boolean clientbound, boolean serverbound, Class<? extends Packet> packetClass)
-    {
-        if (packetIdToClassMap.containsKey(id))
-        {
+    public static void addMapping(int id, boolean clientBound, boolean serverBound, Class<? extends Packet> packetClass) {
+        if (packetIdToClassMap.containsKey(id)) {
             throw new IllegalArgumentException("Duplicate packet id:" + id);
         }
-        if (packetClassToIdMap.containsKey(packetClass))
-        {
+        if (packetClassToIdMap.containsKey(packetClass)) {
             throw new IllegalArgumentException("Duplicate packet class:" + packetClass);
         }
         packetIdToClassMap.put(id, packetClass);
         packetClassToIdMap.put(packetClass, id);
-        if (clientbound)
-        {
+        if (clientBound) {
             clientBoundPacketIds.add(id);
         }
-        if (serverbound)
-        {
+        if (serverBound) {
             serverBoundPacketIds.add(id);
         }
     }
 
-    public static Packet getNewPacket(int id)
-    {
-        try
-        {
+    public static Packet getNewPacket(int id) {
+        try {
             Class<? extends Packet> packetClass = packetIdToClassMap.get(id);
-            if (packetClass == null)
-            {
+            if (packetClass == null) {
                 return null;
             }
-            else
-            {
+            else {
                 return packetClass.newInstance();
             }
         }
-        catch (Exception exception)
-        {
+        catch (Exception exception) {
             exception.printStackTrace();
         }
         System.out.println("Skipping packet with id " + id);
         return null;
     }
 
-    public final int getPacketId()
+    public final int getId()
     {
         return packetClassToIdMap.get(getClass());
     }
 
-    public static Packet readPacket(DataInputStream dis, boolean isServer)
-            throws IOException
-    {
+    public static Packet readPacket(DataInputStream dis, boolean isServer) throws IOException {
         Packet packet;
         try
         {
@@ -104,7 +98,7 @@ public abstract class Packet
                     System.out.println("Packet " + id + " took " + (System.currentTimeMillis() - sendTime) + "ms to arrive");
                 }
             }
-            packet.readPacketData(dis);
+            packet.read(dis);
         }
         catch (EOFException eofexception)
         {
@@ -114,14 +108,12 @@ public abstract class Packet
         return packet;
     }
 
-    public static void writePacket(Packet packet, DataOutputStream dos)
-            throws IOException
-    {
-        dos.write(packet.getPacketId());
+    public static void writePacket(Packet packet, DataOutputStream dos) throws IOException {
+        dos.write(packet.getId());
         if (Global.NET_DEBUG) {
             dos.writeLong(System.currentTimeMillis());
         }
-        packet.writePacketData(dos);
+        packet.write(dos);
     }
 
     public static void writeString(String string, DataOutputStream dos)
@@ -226,105 +218,97 @@ public abstract class Packet
         return Collections.unmodifiableMap(packetIdToClassMap);
     }
 
-    public abstract void readPacketData(DataInputStream dis)
+    public abstract void read(DataInputStream dis)
             throws IOException;
 
-    public abstract void writePacketData(DataOutputStream dos)
+    public abstract void write(DataOutputStream dos)
             throws IOException;
 
-    public abstract void processPacket(NetHandler netHandler);
+    public abstract void handlePacket(PacketHandler packetHandler);
 
-    public abstract int getPacketSize();
-
-    private static final Map<Integer, Class<? extends Packet>> packetIdToClassMap = new HashMap<>();
-    private static final Map<Class<? extends Packet>, Integer> packetClassToIdMap = new HashMap<>();
-    private static final Set<Integer> clientBoundPacketIds = new HashSet<>();
-    private static final Set<Integer> serverBoundPacketIds = new HashSet<>();
-    public final long creationTimeMillis = System.currentTimeMillis();
-    public boolean isChunkDataPacket;
+    public abstract int getEstimatedSize();
 
     static
     {
-        addIdClassMapping(0, true, true, Packet0KeepAlive.class);
-        addIdClassMapping(1, true, true, Packet1Login.class);
-        addIdClassMapping(2, true, true, Packet2Handshake.class);
-        addIdClassMapping(3, true, true, Packet3Chat.class);
-        addIdClassMapping(4, true, false, Packet4UpdateTime.class);
-        addIdClassMapping(5, true, false, Packet5PlayerInventory.class);
-        addIdClassMapping(6, true, false, Packet6SpawnPosition.class);
-        addIdClassMapping(7, false, true, Packet7UseEntity.class);
-        addIdClassMapping(8, true, false, Packet8UpdateHealth.class);
-        addIdClassMapping(9, true, true, Packet9Respawn.class);
-        addIdClassMapping(10, true, true, Packet10Flying.class);
-        addIdClassMapping(11, true, true, Packet11PlayerPosition.class);
-        addIdClassMapping(12, true, true, Packet12PlayerLook.class);
-        addIdClassMapping(13, true, true, Packet13PlayerLookMove.class);
-        addIdClassMapping(14, false, true, Packet14BlockDig.class);
-        addIdClassMapping(15, false, true, Packet15Place.class);
-        addIdClassMapping(16, true, true, Packet16BlockItemSwitch.class);
-        addIdClassMapping(17, true, false, Packet17Sleep.class);
-        addIdClassMapping(18, true, true, Packet18Animation.class);
-        addIdClassMapping(19, false, true, Packet19EntityAction.class);
-        addIdClassMapping(20, true, false, Packet20NamedEntitySpawn.class);
-        addIdClassMapping(21, true, false, Packet21PickupSpawn.class);
-        addIdClassMapping(22, true, false, Packet22Collect.class);
-        addIdClassMapping(23, true, false, Packet23VehicleSpawn.class);
-        addIdClassMapping(24, true, false, Packet24MobSpawn.class);
-        addIdClassMapping(25, true, false, Packet25EntityPainting.class);
-        addIdClassMapping(26, true, true, Packet26BoatControl.class);
-        addIdClassMapping(27, false, true, Packet27Position.class);
-        addIdClassMapping(28, true, false, Packet28EntityVelocity.class);
-        addIdClassMapping(29, true, false, Packet29DestroyEntity.class);
-        addIdClassMapping(30, true, false, Packet30Entity.class);
-        addIdClassMapping(31, true, false, Packet31RelEntityMove.class);
-        addIdClassMapping(32, true, false, Packet32EntityLook.class);
-        addIdClassMapping(33, true, false, Packet33RelEntityMoveLook.class);
-        addIdClassMapping(34, true, false, Packet34EntityTeleport.class);
-        addIdClassMapping(35, true, true, Packet35EntityNickname.class);
-        addIdClassMapping(38, true, false, Packet38EntityStatus.class);
-        addIdClassMapping(39, true, false, Packet39AttachEntity.class);
-        addIdClassMapping(40, true, false, Packet40EntityMetadata.class);
-        addIdClassMapping(41, true, false, Packet41EntityPlayerGamemode.class);
-        addIdClassMapping(42, true, false, Packet42EntityTagData.class);
-        addIdClassMapping(50, true, false, Packet50PreChunk.class);
-        addIdClassMapping(51, true, false, Packet51MapChunk.class);
-        addIdClassMapping(52, true, false, Packet52MultiBlockChange.class);
-        addIdClassMapping(53, true, false, Packet53BlockChange.class);
-        addIdClassMapping(54, true, false, Packet54PlayNoteBlock.class);
-        addIdClassMapping(60, true, false, Packet60Explosion.class);
-        addIdClassMapping(61, true, false, Packet61PlaySoundEffect.class);
-        addIdClassMapping(62, true, false, Packet62PlaySoundDirect.class);
-        addIdClassMapping(63, true, false, Packet63SpawnParticleEffect.class);
-        addIdClassMapping(70, true, false, Packet70Bed.class);
-        addIdClassMapping(71, true, false, Packet71Weather.class);
-        addIdClassMapping(72, true, false, Packet72UpdatePlayerProfile.class);
-        addIdClassMapping(73, true, false, Packet73WeatherStatus.class);
-        addIdClassMapping(74, true, false, Packet74GameRule.class);
-        addIdClassMapping(75, true, false, Packet75RecipeSync.class);
-        addIdClassMapping(100, true, false, Packet100OpenWindow.class);
-        addIdClassMapping(101, true, true, Packet101CloseWindow.class);
-        addIdClassMapping(102, false, true, Packet102WindowClick.class);
-        addIdClassMapping(103, true, false, Packet103SetSlot.class);
-        addIdClassMapping(104, true, false, Packet104WindowItems.class);
-        addIdClassMapping(105, true, false, Packet105UpdateProgressbar.class);
-        addIdClassMapping(106, true, true, Packet106Transaction.class);
-        addIdClassMapping(107, false, true, Packet107UpdateCreativeInventory.class);
-        addIdClassMapping(108, false, true, Packet108SetHotbarOffset.class);
-        addIdClassMapping(130, false, true, Packet130UpdateSign.class);
-        addIdClassMapping(131, true, false, Packet131MapData.class);
-        addIdClassMapping(132, true, true, Packet132SetMobSpawner.class);
-        addIdClassMapping(133, false, true, Packet133OpenGuidebook.class);
-        addIdClassMapping(136, true, false, Packet136SendKey.class);
-        addIdClassMapping(137, false, true, Packet137SetItemName.class);
-        addIdClassMapping(138, true, false, Packet138PlayerList.class);
-        addIdClassMapping(139, false, true, Packet139SetPaintingMotive.class);
-        addIdClassMapping(140, true, false, Packet140TileEntityData.class);
-        addIdClassMapping(142, true, false, Packet142OpenFlagWindow.class);
-        addIdClassMapping(143, true, false, Packet143PhotoMode.class);
-        addIdClassMapping(200, true, false, Packet200Statistic.class);
-        addIdClassMapping(201, true, false, Packet201Ids.class);
-        addIdClassMapping(250, true, true, Packet250CustomPayload.class);
-        addIdClassMapping(254, false, true, Packet254PingHandshake.class);
-        addIdClassMapping(255, true, true, Packet255KickDisconnect.class);
+        addMapping(0, true, true, KeepAlivePacket.class);
+        addMapping(1, true, true, LoginPacket.class);
+        addMapping(2, true, true, PreLoginPacket.class);
+        addMapping(3, true, true, ChatPacket.class);
+        addMapping(4, true, false, SetTimePacket.class);
+        addMapping(5, true, false, SetEquippedItemPacket.class);
+        addMapping(6, true, false, SetSpawnPositionPacket.class);
+        addMapping(7, false, true, InteractPacket.class);
+        addMapping(8, true, false, SetHealthPacket.class);
+        addMapping(9, true, true, RespawnPacket.class);
+        addMapping(10, true, true, MovePlayerPacket.class);
+        addMapping(11, true, true, MovePlayerPacket.Pos.class);
+        addMapping(12, true, true, MovePlayerPacket.Rot.class);
+        addMapping(13, true, true, MovePlayerPacket.PosRot.class);
+        addMapping(14, false, true, PlayerActionPacket.class);
+        addMapping(15, false, true, UseItemPacket.class);
+        addMapping(16, true, true, SetCarriedItemPacket.class);
+        addMapping(17, true, false, SleepPacket.class);
+        addMapping(18, true, true, AnimatePacket.class);
+        addMapping(19, false, true, PlayerCommandPacket.class);
+        addMapping(20, true, false, AddPlayerPacket.class);
+        addMapping(21, true, false, AddItemEntityPacket.class);
+        addMapping(22, true, false, TakeItemEntityPacket.class);
+        addMapping(23, true, false, AddEntityPacket.class);
+        addMapping(24, true, false, AddMobPacket.class);
+        addMapping(25, true, false, AddPaintingPacket.class);
+        addMapping(26, true, true, BoatControlPacket.class);
+        addMapping(28, true, false, SetEntityMotionPacket.class);
+        addMapping(29, true, false, RemoveEntityPacket.class);
+        addMapping(30, true, false, MoveEntityPacket.class);
+        addMapping(31, true, false, MoveEntityPacket.Pos.class);
+        addMapping(32, true, false, MoveEntityPacket.Rot.class);
+        addMapping(33, true, false, MoveEntityPacket.PosRot.class);
+        addMapping(34, true, false, TeleportEntityPacket.class);
+        addMapping(35, true, true, EntityNicknamePacket.class);
+        addMapping(38, true, false, EnitityEventPacket.class);
+        addMapping(39, true, false, SetRidingPacket.class);
+        addMapping(40, true, false, SetEntityDataPacket.class);
+        addMapping(41, true, false, PlayerGamemodePacket.class);
+        addMapping(42, true, false, EntityTagDataPacket.class);
+        addMapping(50, true, false, ChunkVisibilityPacket.class);
+        addMapping(51, true, false, BlockRegionUpdatePacket.class);
+        addMapping(52, true, false, ChunkBlocksUpdatePacket.class);
+        addMapping(53, true, false, BlockUpdatePacket.class);
+        addMapping(54, true, false, BlockEventPacket.class);
+        addMapping(60, true, false, ExplosionPacket.class);
+        addMapping(61, true, false, PlaySoundEffectPacket.class);
+        addMapping(62, true, false, PlaySoundEffectDirectPacket.class);
+        addMapping(63, true, false, AddParticlePacket.class);
+        addMapping(70, true, false, BedMessagePacket.class);
+        addMapping(71, true, false, WeatherEffectPacket.class);
+        addMapping(72, true, false, UpdatePlayerProfilePacket.class);
+        addMapping(73, true, false, WeatherStatusPacket.class);
+        addMapping(74, true, false, GameRulePacket.class);
+        addMapping(75, true, false, RecipeSyncPacket.class);
+        addMapping(100, true, false, ContainerOpenPacket.class);
+        addMapping(101, true, true, ContainerClosePacket.class);
+        addMapping(102, false, true, ContainerClickPacket.class);
+        addMapping(103, true, false, ContainerSetSlotPacket.class);
+        addMapping(104, true, false, ContainerSetContentPacket.class);
+        addMapping(105, true, false, ContainerSetDataPacket.class);
+        addMapping(106, true, true, ContainerAckPacket.class);
+        addMapping(107, false, true, UpdateCreativeInventoryPacket.class);
+        addMapping(108, false, true, SetHotbarOffsetPacket.class);
+        addMapping(130, false, true, SignUpdatePacket.class);
+        addMapping(131, true, false, MapDataPacket.class);
+        addMapping(132, true, true, SetMobSpawnerPacket.class);
+        addMapping(133, false, true, GuidebookPacket.class);
+        addMapping(136, true, false, AESSendKeyPacket.class);
+        addMapping(137, false, true, SetItemNamePacket.class);
+        addMapping(138, true, false, PlayerListPacket.class);
+        addMapping(139, false, true, SetPaintingArtPacket.class);
+        addMapping(140, true, false, BlockEntityDataPacket.class);
+        addMapping(142, true, false, FlagOpenPacket.class);
+        addMapping(143, true, false, PhotoModePacket.class);
+        addMapping(200, true, false, StatisticPacket.class);
+        addMapping(201, true, false, SyncIDsPacket.class);
+        addMapping(250, true, true, CustomPayloadPacket.class);
+        addMapping(254, false, true, PingHandshakePacket.class);
+        addMapping(255, true, true, DisconnectPacket.class);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet143PhotoMode.java b/src/main/java/net/minecraft/core/net/packet/PhotoModePacket.java
similarity index 55%
rename from src/main/java/net/minecraft/core/net/packet/Packet143PhotoMode.java
rename to src/main/java/net/minecraft/core/net/packet/PhotoModePacket.java
index 3bfd007b9..c5027acef 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet143PhotoMode.java
+++ b/src/main/java/net/minecraft/core/net/packet/PhotoModePacket.java
@@ -1,45 +1,45 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class Packet143PhotoMode
+public class PhotoModePacket
     extends Packet
 {
     public boolean disabled = false;
 
-    public Packet143PhotoMode() { }
+    public PhotoModePacket() { }
 
-    public Packet143PhotoMode(boolean disabled)
+    public PhotoModePacket(boolean disabled)
     {
         this.disabled = disabled;
     }
 
     @Override
-    public void readPacketData(DataInputStream dis)
+    public void read(DataInputStream dis)
             throws IOException
     {
         disabled = dis.readBoolean();
     }
 
     @Override
-    public void writePacketData(DataOutputStream dos)
+    public void write(DataOutputStream dos)
             throws IOException
     {
         dos.writeBoolean(disabled);
     }
 
     @Override
-    public void processPacket(NetHandler netHandler)
+    public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handlePhotoMode(this);
+        packetHandler.handlePhotoMode(this);
     }
 
     @Override
-    public int getPacketSize()
+    public int getEstimatedSize()
     {
         return 1;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet254PingHandshake.java b/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
similarity index 66%
rename from src/main/java/net/minecraft/core/net/packet/Packet254PingHandshake.java
rename to src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
index edc3319a9..08c7ac107 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet254PingHandshake.java
+++ b/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
@@ -1,14 +1,14 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.client.net.handler.NetPingHandler;
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.client.net.handler.PingPacketHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 import java.nio.charset.StandardCharsets;
 
-public class Packet254PingHandshake
+public class PingHandshakePacket
     extends Packet {
     public int payload;
     public int identifier;
@@ -17,10 +17,10 @@ public class Packet254PingHandshake
     public String hostname;
     public int port;
 
-    public Packet254PingHandshake() {
+    public PingHandshakePacket() {
     }
 
-    public Packet254PingHandshake(int payload, int identifier, String pingHostString, int protocolVersion, String hostname, int port) {
+    public PingHandshakePacket(int payload, int identifier, String pingHostString, int protocolVersion, String hostname, int port) {
         this.payload = payload;
         this.identifier = identifier;
         this.pingHostString = pingHostString;
@@ -30,7 +30,7 @@ public class Packet254PingHandshake
     }
 
     @Override
-    public void readPacketData(DataInputStream dis) throws IOException {
+    public void read(DataInputStream dis) throws IOException {
         payload = dis.readUnsignedByte();
         identifier = dis.readUnsignedByte();
         pingHostString = readUTF16BEString(dis, 255);
@@ -41,7 +41,7 @@ public class Packet254PingHandshake
     }
 
     @Override
-    public void writePacketData(DataOutputStream dos) throws IOException {
+    public void write(DataOutputStream dos) throws IOException {
         dos.writeByte(payload);
         dos.writeByte(identifier);
         writeUTF16BEString(pingHostString, dos);
@@ -49,16 +49,16 @@ public class Packet254PingHandshake
         dos.writeByte(protocolVersion);
         writeUTF16BEString(hostname, dos);
         dos.writeInt(port);
-        NetPingHandler.startTime = System.currentTimeMillis();
+        PingPacketHandler.startTime = System.currentTimeMillis();
     }
 
     @Override
-    public void processPacket(NetHandler netHandler) {
-        netHandler.handlePingHandshake(this);
+    public void handlePacket(PacketHandler packetHandler) {
+        packetHandler.handlePingHandshake(this);
     }
 
     @Override
-    public int getPacketSize() {
+    public int getEstimatedSize() {
         return 0;
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet62PlaySoundDirect.java b/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectDirectPacket.java
similarity index 68%
rename from src/main/java/net/minecraft/core/net/packet/Packet62PlaySoundDirect.java
rename to src/main/java/net/minecraft/core/net/packet/PlaySoundEffectDirectPacket.java
index 1cf7e36f9..37b125ed5 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet62PlaySoundDirect.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectDirectPacket.java
@@ -1,13 +1,13 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.sound.SoundCategory;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class Packet62PlaySoundDirect extends Packet {
+public class PlaySoundEffectDirectPacket extends Packet {
 	public int soundId;
     public SoundCategory soundType;
     public double x;
@@ -16,11 +16,11 @@ public class Packet62PlaySoundDirect extends Packet {
     public float volume;
     public float pitch;
 
-    public Packet62PlaySoundDirect()
+    public PlaySoundEffectDirectPacket()
     {
     }
 
-    public Packet62PlaySoundDirect(int soundId, SoundCategory soundType, double x, double y, double z, float volume, float pitch)
+    public PlaySoundEffectDirectPacket(int soundId, SoundCategory soundType, double x, double y, double z, float volume, float pitch)
     {
     	this.soundId = soundId;
         this.soundType = soundType;
@@ -31,7 +31,7 @@ public class Packet62PlaySoundDirect extends Packet {
         this.pitch = pitch;
     }
     @Override
-    public void readPacketData(DataInputStream dis) throws IOException {
+    public void read(DataInputStream dis) throws IOException {
         this.soundId = dis.readShort() & 0xFFFF;
         this.soundType = SoundCategory.values()[dis.readByte()];
         this.x = dis.readFloat();
@@ -42,7 +42,7 @@ public class Packet62PlaySoundDirect extends Packet {
     }
 
     @Override
-    public void writePacketData(DataOutputStream dos) throws IOException {
+    public void write(DataOutputStream dos) throws IOException {
         dos.writeShort(soundId);
         dos.writeByte(soundType.ordinal());
         dos.writeFloat((float) x);
@@ -53,12 +53,12 @@ public class Packet62PlaySoundDirect extends Packet {
     }
 
     @Override
-    public void processPacket(NetHandler netHandler) {
-        netHandler.handlePlaySoundDirectly(this);
+    public void handlePacket(PacketHandler packetHandler) {
+        packetHandler.handlePlaySoundDirectly(this);
     }
 
     @Override
-    public int getPacketSize() {
+    public int getEstimatedSize() {
         return 23;
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet61PlaySoundEffect.java b/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
similarity index 54%
rename from src/main/java/net/minecraft/core/net/packet/Packet61PlaySoundEffect.java
rename to src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
index 2083badfc..90e70ee37 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet61PlaySoundEffect.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
@@ -1,31 +1,31 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, NetHandler
+//            Packet, PacketHandler
 
-public class Packet61PlaySoundEffect extends Packet
+public class PlaySoundEffectPacket extends Packet
 {
 
-    public Packet61PlaySoundEffect()
+    public PlaySoundEffectPacket()
     {
     }
     
-    public Packet61PlaySoundEffect(int i, int j, int k, int l, int i1)
+    public PlaySoundEffectPacket(int soundId, int x, int y, int z, int data)
     {
-        soundID = i;
-        x = j;
-        y = k;
-        z = l;
-        data = i1;
+        soundID = soundId;
+        this.x = x;
+        this.y = y;
+        this.z = z;
+        this.data = data;
     }
 
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         soundID = dis.readInt();
@@ -36,7 +36,7 @@ public class Packet61PlaySoundEffect extends Packet
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeInt(soundID);
@@ -47,13 +47,13 @@ public class Packet61PlaySoundEffect extends Packet
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handlePlaySoundEffect(this);
+        packetHandler.handlePlaySoundEffect(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 20;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet14BlockDig.java b/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
similarity index 72%
rename from src/main/java/net/minecraft/core/net/packet/Packet14BlockDig.java
rename to src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
index 21251c43f..5edc6d209 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet14BlockDig.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
@@ -4,20 +4,20 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.Side;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, NetHandler
+//            Packet, PacketHandler
 
-public class Packet14BlockDig extends Packet
+public class PlayerActionPacket extends Packet
 {
 
-    public Packet14BlockDig()
+    public PlayerActionPacket()
     {
     }
 
-    public Packet14BlockDig(int i, int j, int k, int l, Side side, double xHit, double yHit)
+    public PlayerActionPacket(int i, int j, int k, int l, Side side, double xHit, double yHit)
     {
         status = i;
         xPosition = j;
@@ -29,7 +29,7 @@ public class Packet14BlockDig extends Packet
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         status = dis.read();
@@ -42,7 +42,7 @@ public class Packet14BlockDig extends Packet
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.write(status);
@@ -55,13 +55,13 @@ public class Packet14BlockDig extends Packet
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleBlockDig(this);
+        packetHandler.handleBlockDig(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 19;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet19EntityAction.java b/src/main/java/net/minecraft/core/net/packet/PlayerCommandPacket.java
similarity index 56%
rename from src/main/java/net/minecraft/core/net/packet/Packet19EntityAction.java
rename to src/main/java/net/minecraft/core/net/packet/PlayerCommandPacket.java
index 60ad3037e..03dfce762 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet19EntityAction.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlayerCommandPacket.java
@@ -1,28 +1,28 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, Entity, NetHandler
+//            Packet, Entity, PacketHandler
 
-public class Packet19EntityAction extends Packet
+public class PlayerCommandPacket extends Packet
 {
 
-    public Packet19EntityAction()
+    public PlayerCommandPacket()
     {
     }
 
-    public Packet19EntityAction(Entity entity, int i)
+    public PlayerCommandPacket(Entity entity, int i)
     {
         entityId = entity.id;
         state = i;
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         entityId = dis.readInt();
@@ -30,7 +30,7 @@ public class Packet19EntityAction extends Packet
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeInt(entityId);
@@ -38,13 +38,13 @@ public class Packet19EntityAction extends Packet
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleEntityAction(this);
+        packetHandler.handleEntityAction(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 5;
     }
